<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="taikhoan_hni" language="groovy" pageWidth="800" pageHeight="842" columnWidth="760" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := {p0sys_funcschema}bienban_bg.bg_taikhoan_hni('{p0chuky}','CCS_{p0tentinh}.','{p0tentinh}'); end;]]>
	</queryString>
	<field name="tongtien" class="java.lang.Number"/>
	<field name="nam_ck" class="java.lang.String"/>
	<field name="thang_ck" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<field name="thang" class="java.lang.String"/>
	<field name="ngay" class="java.lang.String"/>
	<field name="nam" class="java.lang.String"/>
	<field name="tien" class="java.lang.Number"/>
	<field name="vat" class="java.lang.Number"/>
	<field name="gr" class="java.lang.String"/>
	<field name="ma_tb" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="ten_tb" class="java.lang.String"/>
	<variable name="tongtien_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tong" calculation="Sum">
		<variableExpression><![CDATA[$F{tongtien}]]></variableExpression>
	</variable>
	<variable name="tien_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tong" calculation="Sum">
		<variableExpression><![CDATA[$F{tien}]]></variableExpression>
	</variable>
	<variable name="vat_1" class="java.lang.Number" resetType="Group" resetGroup="gr_tong" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<variable name="vat_2" class="java.lang.Number" resetType="Group" resetGroup="gr_tong" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<group name="gr_tong">
		<groupExpression><![CDATA[$F{gr}]]></groupExpression>
		<groupFooter>
			<band height="23">
				<textField>
					<reportElement x="557" y="0" width="92" height="14"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tongtien_1})]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="382" y="0" width="97" height="14"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tien_1})]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="479" y="0" width="78" height="14"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{vat_1})]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="0" width="382" height="14"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tổng cộng]]></text>
				</staticText>
				<staticText>
					<reportElement x="649" y="0" width="69" height="14"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="84" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="1" width="555" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[BÀN GIAO CÁC THUÊ BAO CHUYỂN HÌNH THỨC TỪ TRẢ TRƯỚC]]></text>
			</staticText>
			<staticText>
				<reportElement stretchType="RelativeToBandHeight" x="0" y="21" width="491" height="20" isPrintWhenDetailOverflows="true"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ SANG TRẢ SAU CÒN TIỀN THỪA TRONG TK TRỪ VÀO CƯỚC THÁNG]]></text>
			</staticText>
			<textField>
				<reportElement stretchType="RelativeToBandHeight" x="491" y="21" width="64" height="20"/>
				<textElement verticalAlignment="Top">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["\'"+$P{thangtc}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="41" y="68" width="121" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tên thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="162" y="68" width="105" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số máy]]></text>
			</staticText>
			<staticText>
				<reportElement x="267" y="68" width="115" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Mã khách hàng]]></text>
			</staticText>
			<staticText>
				<reportElement x="382" y="68" width="97" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số tiền thừa]]></text>
			</staticText>
			<staticText>
				<reportElement x="479" y="68" width="78" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Thuế]]></text>
			</staticText>
			<staticText>
				<reportElement x="557" y="68" width="92" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tổng cộng]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="68" width="41" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="649" y="68" width="69" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="10" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ghi chú]]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="15" splitType="Stretch">
			<textField pattern="">
				<reportElement mode="Opaque" x="382" y="0" width="97" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tien})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="41" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="41" y="0" width="121" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ten_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="162" y="0" width="105" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="267" y="0" width="115" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_kh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="479" y="0" width="78" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{vat})]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="557" y="0" width="92" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tongtien})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="649" y="0" width="69" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[]]></text>
			</staticText>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band/>
	</summary>
</jasperReport>
